#
# spec file for package gcolor3
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global         commit be7d539383da129c0e8187946a67e062f934c8dc
%global         rev git78
Name:           gcolor3
Version:        2.3.1+%{rev}
Release:        lp152.1.3
Summary:        A color chooser written in GTK3 (like gcolor2)
License:        GPL-2.0-only
Group:          Productivity/Graphics/Other
URL:            https://gitlab.gnome.org/World/%{name}/-/archive/%{commit}/%{name}-%{commit}.tar.gz
Source0:        %{name}-%{commit}.tar.gz
Patch0:         gcolor3-suse.patch
BuildRequires:  cmake
BuildRequires:  gnome-common
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson
BuildRequires:  ninja
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-3.0)

%description
Gcolor3 enables picking the color from any pixel on the screen. It
also offers a palette to mix and match a couple of colors together.
Colors can be saved and retrieved.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
%meson
%meson_build

%install
%meson_install
%find_lang gcolor3

%files -f gcolor3.lang
%license LICENSE
%doc README.md
%attr(0755,-,-) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}
%{_datadir}/metainfo/nl.hjdskes.gcolor3.appdata.xml
%{_datadir}/applications/nl.hjdskes.gcolor3.desktop
%{_datadir}/icons/hicolor/scalable/apps/nl.hjdskes.gcolor3.svg
%{_datadir}/icons/hicolor/symbolic/apps/nl.hjdskes.gcolor3-symbolic.svg

%changelog
* Tue Jan 14 2020 Sébastien POHER <sogal@opensuse.org>
- Fix typo in git version
* Tue Jan 14 2020 Sébastien POHER <sogal@opensuse.org>
- Downgrade to git revision 78 as libportal is not shipped in
  Leap 15.2
* Mon Jan 13 2020 Sébastien POHER <sogal@opensuse.org>
- Upgrade to latest git commit
- Fix tag
* Fri Nov  1 2019 Sébastien POHER <sogal@opensuse.org>
- Upgrade to latest git to fix G_PARAM_PRIVATE deprecation error
- Remove uneeded -Dwerror=false meson flag
* Wed Oct 30 2019 Dominique Leuenberger <dimstar@opensuse.org>
- Pass -Dwerror=false to meson: to not choke on deprecated APIs. It
  is not the distro's duty to catch up.
* Sat Dec 22 2018 sogal@opensuse.org
- Removed deprecated %%post and %%postun macros
- Removed uneeded Build requirement
* Sat Dec 22 2018 sogal@opensuse.org
- Update French translation, fix bad tar archive.
* Thu Dec  6 2018 Jan Engelhardt <jengelh@inai.de>
- Generalize description.
- Use %%meson_* instead of calling ninja directly.
* Wed Oct 31 2018 sogal@opensuse.org
- Use %%meson macro
- Disabled build for openSUSE Leap 42.3 as its gettext version is to
  old (the --xml switch is absent and build faild)
* Mon Oct 29 2018 sogal@opensuse.org
- Updated to 2.3.1
  * import deprecated GtkColorSelection and GtkHSV
  * fix crashing GNOME Shell on Wayland
  * port Gcolor3 to the Meson build system
  * gcolor3ColorStore: mention that warnings are harmless on first run
  * fix CTRL-C and other keyboard shortcuts
  * redesigned saved color page
  * redesigned header bar
  * add a GtkShortcutswindow
  * bumps the required version of GTK+ 3 to 3.20.
  * add a manual page
  * new translations: Norwegian Bokmål, Indonesian, Russian, Spanish
  * updated translations: Dutch, British English, German, Serbian
- Updated patch gcolor3-suse.patch
- Updated rpm structure to use %%{_datadir}/metainfo and
  newx upstream "nl.hjdskes" prefix
- Project is now hosted at gitlab.gnome.org
* Sat Jul  8 2017 sogal@volted.net
- rpmlinting
* Fri Jul  7 2017 sogal <sogal@volted.net>
- First build with git-20170322 version
  * added patch for Suse desktop file compliance
